Productsup
CDE APIApi referenceVersions

Move Connector Version to bin.

Move Connector Version to bin.

Sign in to run requests against the CDE API.
PATCH
/connectors/{publicId}/versions/{connectorVersion}/move-to-bin

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/move-to-bin"
{
  "message": "Connector version has been moved to bin."
}
{
  "message": "Connector version is actively used on the platform.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?